Bug 193520 - No mouse cursor with nVidia driver (work around included)
No mouse cursor with nVidia driver (work around included)
Status: CLOSED DUPLICATE of bug 182517
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
5
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On: 175784
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 21:03 EDT by Tony Ray
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 15:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Ray 2006-05-29 21:03:52 EDT
Description of problem:
No visible mouse cursor on login screen or once logged in.  However, it is
possible to click on things.

Version-Release number of selected component (if applicable):


How reproducible:
100% - always happens


Steps to Reproduce:
1. Boot to login screen (no mouse cursor), login (no mouse cursor)
2.
3.
  
Actual results:
No visible mouse cusor

Expected results:
Visible mouse cursor

Additional info:
If I set default init level to 3, reboot, login as root, execute init 5, I do
have a visible mouse cursor.  However, if the default init level is 5 when I
boot then there is no visible mouse cursor.
Comment 1 Mike A. Harris 2006-06-07 04:41:04 EDT
I believe this is a duplicate of bug #182517.  Please disable or uninstall
Red Hat graphical boot (rhgb), and try to boot in runlevel 5.  One person
in bug #182517 has indicated that disabling rhgb has made the problem vanish
for them.

I suspect that when you boot into runlevel 3 as indicated above, that you're
accomplishing the same thing indirectly - avoiding rhgb.

In general, having 2 X servers running at the same time on the same hardware
is a bad idea.  This is a strong weakness in the Red Hat graphical boot
design which I wish had never happened, as it causes end users to experience
a lot of corner case bugs in the X server, video drivers, kernel, etc. which
one would never encounter under normal circumstances.

Alas, pretty boot seems to be more popular than "stable" to more people,
so rhgb won the war.  Now we get to pick up the pieces. ;o)

Anyhow, let me know if disabling rhgb works around the problem for you too,
and this might help find a real solution sooner.

Thanks in advance.
Comment 2 Matěj Cepl 2007-07-03 09:52:50 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Darlene J. Ford 2007-07-03 20:01:46 EDT
Can't test this until 175784 is fixed.
Comment 4 Matěj Cepl 2007-07-04 10:50:52 EDT
Do you have RHEL4 or FC5? (bug 175784 is against RHEL4)

If you have really FC5, I am afraid that this bug will be closed pretty soon,
unless you will be able to reproduce with the later version of Fedora. I would
suggest you upgrading to FC6 anyway (if you have really FC5 and not RHEL4 on
this computer), because even bug 175184 might be fixed in meantime.
Comment 5 Darlene J. Ford 2007-07-04 12:29:53 EDT
See also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=182517
which is closed, but contains a report that this bug is still in FC7. Is it 
still worth testing FC6 if there are problems reported with both 5 and 7?

What is the correct way to report a bug that appears in multiple releases?  
It's presumably the same problem with the same code if it keeps appearing over 
and over again.

I have FC5, but it won't boot due to bug 175784.   No fix is reported.  Is 
there really any hope that FC6 will boot on my system if I download it and try 
to test it for you?  



Comment 6 Matěj Cepl 2007-07-04 15:59:18 EDT
No, it isn't worth it. However, you are right this really looks like a duplicate
of bug 182517, so I am closing this bug (also because FC5 is not supported anymore).

Concerning FC6 -- yes, there is a lot of hope -- bug 175784 is against RHEL4,
which corresponds roughly to Fedora Core 3 (of course, updated all the time, but
still the core was once FC3). There was a huge development between FC3 and FC6
so it is quite possible that bug 175784 has been fixed in meantime.

*** This bug has been marked as a duplicate of 182517 ***

Note You need to log in before you can comment on or make changes to this bug.